///////////////////////////////////////////////////////////////////////////////
//
// StlAllocatorTestMain.cpp
//
// Copyright  2003 Pete Isensee (PKIsensee@msn.com).
// All rights reserved worldwide.
//
// Permission to copy, modify, reproduce or redistribute this source code is
// granted provided the above copyright notice is retained in the resulting 
// source code.
// 
// This software is provided "as is" and without any express or implied
// warranties.

//-----------------------------------------------------------------------------

// The allocator to be tested; replace with your allocator header file
#include <memory>
                                    
#include "StlAllocatorTestPolicy.h" // The default policy for testing

//-----------------------------------------------------------------------------

// Use DEFAULT_CONSTRUCTABLE_OFF if the allocator cannot be default
// constructed (because the default constructor is private).

// SET_DEFAULT_CONSTRUCTABLE_OFF( MyAlloc )

#include "StlAllocatorTestMain.h"   // Allocator test code

//-----------------------------------------------------------------------------

int main()
{
    // Although some allocator type must be specified (like int), the
    // testing functions internally use allocator::rebind to test a wide
    // variety of other types.

    std::allocator<int> a;
    StlAllocatorTestbed::TestAlloc( a );
}
